CRMchat APIBeta
Telegram APIMessages

messages.getExtendedMedia

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getExtendedMedia

Fetch updated information about paid media, see here » for the full flow. This method will return an array of RawUpdateMessageExtendedMedia updates, only for messages containing already bought paid media. No information will be returned for messages containing not yet bought paid media.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Fetch updated information about paid media, see here » for the full flow. This method will return an array of RawUpdateMessageExtendedMedia updates, only for messages containing already bought paid media. No information will be returned for messages containing not yet bought paid media.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getExtendedMedia" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "id": [        0      ]    }  }'
{  "result": {    "_": "updatesTooLong"  }}